Subject: Re: bug#77715: [PATCH] Add ring-bell functions for mode line and header line.

From: Ship Mints <[email-masked]>
Date: Fri, 11 Apr 2025 14:22:43 -0400

On Fri, Apr 11, 2025 at 2:18 PM Elijah Gabe Pérez <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
> > I think the term duration is better than length when describing time
> intervals.
>
> I agree.
>
> > I still prefer the unwind-protected sit-for method that guarantees the
> remaps are removed to the one with
> > the timer where I've experienced errors intervening with a race
> condition creating new cookies that are
> > not removed.  Try mashing C-g with your timer implementation and you'll
> see it.
>
> The problem with using sit-for is that it delays the message displayed
> (usually "Quit") until timer stops (or if there is an input), it look
> like Emacs froze.
>

At 0.05 seconds, that's not likely.

Anyway, it changed it for use sit-for instead.

Cool.  You wrapped it with unwind-protect, yes?

> Is a new face really necessary just to implement a flash?  The
> implementation I proposed
> > allows the user to specify any face attributes to define what they want
> for a flash.  I wouldn't use this
> > feature without it being more reliable and flexible.
>
> I think that adding a new face for this would be better, it makes custom
> themes set it and change it dynamically; of course, the user can change
> face attributes freely.
>

As long as the implementation accepts a list of faces to flash as mine
does, that sounds good.  I'd just ignore the new face in my use.